<p align="center">
  <a href="http://macwright.org/big/">
    <img width="540" src='.github/logo.png' />
  </a>
</p>

<p align="center">
  <strong>Big.</strong> The antidote to your presentation procrastination.
</p>

A presentation system that works great for creative, hurried people making
focused presentations. Stop tweaking fonts and filling slides with text.
Big is a configuration-free system that naturally encourages good presentation
design.

**Quickstart**

Install big-presentation.

```sh
$ npm install -g big-presentation
```

Create a new presentation.

```sh
$ big-presentation-init all-about-cats
```

Serve it so you can view it in a web browser.

```sh
$ cd all-about-cats
$ big-presentation-serve
```

Convert a presentation composed in Markdown into serve-able HTML.

```sh
$ cd all-about-cats
$ big-presentation-compose
```

This will convert an `index.md` file in that presentation directory into an `index.html`.

:tada: :tada: :tada: :tada: :tada:

* [Demo](http://macwright.org/big/demo.html)
* :blue_book: [User Guide](docs/user-guide.md)
* :green_book: [API Documentation](docs/api.md)
* :pencil: [Protips](docs/protips.md)
* :camera: [Presentations using big](docs/awesome-big.md)
* :grapes: [Related projects](docs/see-also.md)

---

[![Circle CI](https://circleci.com/gh/tmcw/big/tree/gh-pages.svg?style=shield&circle-token=2963848e42fe67b8a66a2ad2d6dd99d05bdde6a4)](https://circleci.com/gh/tmcw/big/tree/gh-pages) [![Greenkeeper badge](https://badges.greenkeeper.io/tmcw/big.svg)](https://greenkeeper.io/)
